Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QDirIterator.IteratorFlag

    java.lang.Object
      java.lang.Enum<QDirIterator.IteratorFlag>
          com.trolltech.qt.core.QDirIterator.IteratorFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDirIterator.IteratorFlag>

Enclosing class:
  QDirIterator

    public static enum QDirIterator.IteratorFlag

extends java.lang.Enum<QDirIterator.IteratorFlag>
implements QtEnumerator

This enum describes flags that you can combine to configure the behavior of `QDirIterator`.

Enum Constant Summary
`FollowSymlinks` When combined with Subdirectories, this flag enables iterating through all subdirectories of the assigned path, following all symbolic links.
`NoIteratorFlags` The default value, representing no flags.
`Subdirectories` List entries inside all subdirectories as well.

Method Summary
`static QDirIterator.IteratorFlags` | `createQFlags(QDirIterator.IteratorFlag... values)`
`static QDirIterator.IteratorFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDirIterator.IteratorFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDirIterator.IteratorFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoIteratorFlags

    public static final QDirIterator.IteratorFlag NoIteratorFlags

  The default value, representing no flags. The iterator will return entries for the assigned path.

### FollowSymlinks

    public static final QDirIterator.IteratorFlag FollowSymlinks

  When combined with Subdirectories, this flag enables iterating through all subdirectories of the assigned path, following all symbolic links. Symbolic link loops (e.g., "link" => "." or "link" => "..") are automatically detected and ignored.

### Subdirectories

    public static final QDirIterator.IteratorFlag Subdirectories

  List entries inside all subdirectories as well.

Method Detail

### values

    public static final QDirIterator.IteratorFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDirIterator.IteratorFlag c : QDirIterator.IteratorFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDirIterator.IteratorFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDirIterator.IteratorFlags createQFlags(QDirIterator.IteratorFlag... values)

### resolve

    public static QDirIterator.IteratorFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD